* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2015-11-23 14:50 Lars Wendler
0 siblings, 0 replies; 13+ messages in thread
From: Lars Wendler @ 2015-11-23 14:50 UTC (permalink / raw
To: gentoo-commits
commit: b9ec35a30a79c5ef5d70ef30c8462068f9f1ee1e
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 23 14:48:52 2015 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 14:50:50 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9ec35a3
sys-boot/lilo: Bump to version 24.2
with kind permission from Chainsaw.
Package-Manager: portage-2.2.25
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-boot/lilo/Manifest | 1 +
sys-boot/lilo/lilo-24.2.ebuild | 183 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 184 insertions(+)
diff --git a/sys-boot/lilo/Manifest b/sys-boot/lilo/Manifest
index 3343761..c593d10 100644
--- a/sys-boot/lilo/Manifest
+++ b/sys-boot/lilo/Manifest
@@ -4,3 +4,4 @@ DIST lilo-22.8.src.tar.gz 437555 SHA256 bad5907c212c0b2b15de5e852787a1ad2129a702
DIST lilo-23.2.tar.gz 580758 SHA256 0245e300494c0700411d518ffd81a15a00450face7922fb3b08cec7d16984030 SHA512 fe6789d3643751128afcb2c9761623329e84ab05ec84d75d6b13eff991d10a6671617b65f4ab5ef414a6ca4bc530bcf33b96ddeee3f5dce78bb69b8db740f9c5 WHIRLPOOL f12c44fc48ba74a57ed83174b44966a4330ad3a96714bf52afea6e4d1c4a01c2881d447e563c0b363f602fa0e15d6012633734fb962cf2adba4ec62c7481519a
DIST lilo-24.0.tar.gz 768631 SHA256 3d40c0af1d60a0adbe3696cd6cb8d7e892694351ff225371d871b6b479d82152 SHA512 4158a0f7ab085da063938df2bc77356f9536aa78208a902561f9e61ec478fb17f204f68407f6809638aea9d2e0c88ffc701548291c1635ab40f5b18a7be6bae7 WHIRLPOOL 598e915ddb08b3b8383fb08a1b3dbb75f9340fbb052c4ceed88309274c33b8a5965502a95b99997aba7af2d3ec9da737c13b85784afd8f371ad96b69942069a2
DIST lilo-24.1.tar.gz 773223 SHA256 a15280edacb8bca31b9163d65e61270b8c06cb9ffea74374a3a42164a13d4532 SHA512 d1375cac9654fcb3934e7e5e0533e126ff8700a48154eb5019cf62e4b89f14d2ce7a17b6324795d9b60b37ab7656bfb2c9467f6e9d3540095f5c294579e83883 WHIRLPOOL 6534b9494cce30c56f0ec700eb8288ebfdfb9e07ed631958e3f34d03d4fb42de372237dab5d07a8b8ef1c3da49b427d3777be14de9abca339dcd184fce550ab0
+DIST lilo-24.2.tar.gz 777400 SHA256 e158f19de4560c935ebe0507c21b79bff17618b9230d8076fe8c5fff9fdbd5b1 SHA512 4437cae21345f483194a5dc95f686f3f3cb2beec78faae3fba959db25eae29fe2c56732e055c05f1d101682c5d442cdc9561fae8074f61f5537dde0413204c54 WHIRLPOOL 4e6e0e2b97592bd00121fef75f6a33f77a0186d4e63f4abd4ef564f7c7b3866c683371969f7aacb696e19813c7dc178490ba9cb7e41f0fcf9fd1739579fc24e8
diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2.ebuild
new file mode 100644
index 0000000..b5c3034
--- /dev/null
+++ b/sys-boot/lilo/lilo-24.2.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic toolchain-funcs
+
+DOLILO_V="0.6"
+IUSE="static minimal pxeserial device-mapper"
+
+DESCRIPTION="Standard Linux boot loader"
+HOMEPAGE="https://alioth.debian.org/projects/lilo/"
+
+DOLILO_TAR="dolilo-${DOLILO_V}.tar.bz2"
+SRC_URI="
+ http://lilo.alioth.debian.org/ftp/sources/${P}.tar.gz
+ mirror://gentoo/${DOLILO_TAR}
+"
+
+SLOT="0"
+LICENSE="BSD GPL-2"
+KEYWORDS="-* ~amd64 ~x86"
+
+DEPEND=">=sys-devel/bin86-0.15.5"
+RDEPEND="device-mapper? ( >=sys-fs/lvm2-2.02.45 )"
+
+src_prepare() {
+ # this patch is needed when booting PXE and the device you're using
+ # emulates vga console via serial console.
+ # IE.. B.B.o.o.o.o.t.t.i.i.n.n.g.g....l.l.i.i.n.n.u.u.x.x and stair stepping.
+ use pxeserial && epatch "${FILESDIR}/${PN}-24.1-novga.patch"
+
+ # Do not strip and have parallel make
+ # FIXME: images/Makefile does weird stuff
+ sed -i Makefile src/Makefile \
+ -e '/strip/d;s|^ make| $(MAKE)|g' \
+ -e '/images install/d' \
+ -e '/images all/d' \
+ || die "sed strip failed"
+}
+
+src_configure() {
+ if ! use device-mapper; then
+ sed -i make.vars -e 's|-DDEVMAPPER||g' || die
+ fi
+}
+
+src_compile() {
+ # lilo needs this. bug #140209
+ export LC_ALL=C
+
+ # hardened automatic PIC plus PIE building should be suppressed
+ # because of assembler instructions that cannot be compiled PIC
+ HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
+
+ # we explicitly prevent the custom CFLAGS for stability reasons
+ if use static; then
+ local target=alles
+ else
+ local target=all
+ fi
+
+ emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+}
+
+src_install() {
+ keepdir /boot
+ emake DESTDIR="${D}" install || die
+
+ if use !minimal; then
+ into /
+ dosbin "${WORKDIR}"/dolilo/dolilo || die
+
+ into /usr
+ dosbin keytab-lilo.pl || die
+
+ insinto /etc
+ newins "${FILESDIR}"/lilo.conf lilo.conf.example || die
+
+ newconfd "${WORKDIR}"/dolilo/dolilo.conf.d dolilo.example || die
+
+ dodoc CHANGELOG* readme/README.* readme/INCOMPAT README
+ docinto samples ; dodoc sample/*
+ fi
+}
+
+# Check whether LILO is installed
+# This function is from /usr/sbin/mkboot from debianutils, with copyright:
+#
+# Debian GNU/Linux
+# Copyright 1996-1997 Guy Maor <maor@debian.org>
+#
+# Modified for Gentoo for use with the lilo ebuild by:
+# Martin Schlemmer <azarah@gentoo.org> (16 Mar 2003)
+#
+lilocheck() {
+ local bootpart=
+ local rootpart="$(mount | grep -v "tmpfs" | grep -v "rootfs" | grep "on / " | cut -f1 -d " ")"
+
+ echo
+ ebegin "Checking whether LILO can be safely updated"
+
+ if [ "$(whoami)" != "root" ]
+ then
+ eend 1
+ eerror "Only root can check for LILO"
+ return 1
+ fi
+
+ if [ -z "${rootpart}" ]
+ then
+ eend 1
+ eerror "Could not determine root partition"
+ return 1
+ fi
+
+ if [ ! -f /etc/lilo.conf -o ! -x /sbin/lilo ]
+ then
+ eend 1
+ eerror "No LILO configuration in place"
+ return 1
+ fi
+
+ bootpart="$(sed -n "s:^boot[ ]*=[ ]*\(.*\)[ ]*:\1:p" /etc/lilo.conf)"
+
+ if [ -z "${bootpart}" ]
+ then
+ # lilo defaults to current root when 'boot=' is not present
+ bootpart="${rootpart}"
+ fi
+
+ if ! dd if=${bootpart} ibs=16 count=1 2>&- | grep -q 'LILO'
+ then
+ eend 1
+ eerror "No LILO signature on ${bootpart}"
+ ewarn "Check your /etc/lilo.conf, or run /sbin/lilo by hand."
+ return 1
+ fi
+
+ if grep -q "^[[:space:]]*password[[:space:]]*=[[:space:]]*\"\"" /etc/lilo.conf
+ then
+ eend 1
+ eerror "Interactive password entry configured"
+ ewarn "Run /sbin/lilo -p by hand."
+ return 1
+ fi
+
+ einfo "LILO on ${bootpart} is safe to update"
+ eend 0
+ return 0
+}
+
+pkg_postinst() {
+ if [ ! -e "${ROOT}/boot/boot.b" -a ! -L "${ROOT}/boot/boot.b" ]
+ then
+ [ -f "${ROOT}/boot/boot-menu.b" ] && \
+ ln -snf boot-menu.b "${ROOT}/boot/boot.b"
+ fi
+
+ if [ "${ROOT}" = "/" ] && use !minimal;
+ then
+ if lilocheck
+ then
+ einfo "Running DOLILO to complete the install"
+ # do not redirect to /dev/null because it may display some input
+ # prompt
+ /sbin/dolilo
+ if [ "$?" -ne 0 ]
+ then
+ eerror "You must manually configure and run LILO"
+ fi
+ fi
+ echo
+ fi
+ if use !minimal; then
+ echo
+ einfo "Issue 'dolilo' instead of 'lilo' to have a friendly wrapper that"
+ einfo "handles mounting and unmounting /boot for you. It can do more, "
+ einfo "edit /etc/conf.d/dolilo to harness its full potential."
+ echo
+ fi
+}
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2017-12-07 19:29 Anthony G. Basile
0 siblings, 0 replies; 13+ messages in thread
From: Anthony G. Basile @ 2017-12-07 19:29 UTC (permalink / raw
To: gentoo-commits
commit: e7ec64e07c110fd117d37b26c7ca668eba586f9a
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 7 19:28:57 2017 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Dec 7 19:28:57 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7ec64e0
sys-boot/lilo: remove legacy HARDENED_CFLAGS, bug #621866
Package-Manager: Portage-2.3.13, Repoman-2.3.3
sys-boot/lilo/lilo-22.8-r2.ebuild | 10 +++-------
sys-boot/lilo/lilo-23.2-r2.ebuild | 8 ++------
sys-boot/lilo/lilo-24.0-r1.ebuild | 8 ++------
sys-boot/lilo/lilo-24.1.ebuild | 8 ++------
sys-boot/lilo/lilo-24.2.ebuild | 8 ++------
5 files changed, 11 insertions(+), 31 deletions(-)
diff --git a/sys-boot/lilo/lilo-22.8-r2.ebuild b/sys-boot/lilo/lilo-22.8-r2.ebuild
index 7ae95e523fe..257a7a9a113 100644
--- a/sys-boot/lilo/lilo-22.8-r2.ebuild
+++ b/sys-boot/lilo/lilo-22.8-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils flag-o-matic toolchain-funcs
@@ -48,16 +48,12 @@ src_compile() {
# lilo needs this. bug #140209
export LC_ALL=C
- # hardened automatic PIC plus PIE building should be suppressed
- # because of assembler instructions that cannot be compiled PIC
- HARDENED_CFLAGS="`test-flags-CC -fno-pic -nopie`"
-
# we explicitly prevent the custom CFLAGS for stability reasons
if use static; then
- emake CC="$(tc-getCC) ${HARDENED_CFLAGS}" lilo.static || die
+ emake CC="$(tc-getCC)" lilo.static || die
mv lilo.static lilo || die
else
- emake CC="$(tc-getCC) ${HARDENED_CFLAGS}" lilo || die
+ emake CC="$(tc-getCC)" lilo || die
fi
}
diff --git a/sys-boot/lilo/lilo-23.2-r2.ebuild b/sys-boot/lilo/lilo-23.2-r2.ebuild
index afbd4d2a734..2be5f25cd50 100644
--- a/sys-boot/lilo/lilo-23.2-r2.ebuild
+++ b/sys-boot/lilo/lilo-23.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
@@ -49,10 +49,6 @@ src_compile() {
# lilo needs this. bug #140209
export LC_ALL=C
- # hardened automatic PIC plus PIE building should be suppressed
- # because of assembler instructions that cannot be compiled PIC
- HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
# we explicitly prevent the custom CFLAGS for stability reasons
if use static; then
local target=alles
@@ -60,7 +56,7 @@ src_compile() {
local target=all
fi
- emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+ emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
}
src_install() {
diff --git a/sys-boot/lilo/lilo-24.0-r1.ebuild b/sys-boot/lilo/lilo-24.0-r1.ebuild
index 4de878e34d3..b0639924ba3 100644
--- a/sys-boot/lilo/lilo-24.0-r1.ebuild
+++ b/sys-boot/lilo/lilo-24.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -49,10 +49,6 @@ src_compile() {
# lilo needs this. bug #140209
export LC_ALL=C
- # hardened automatic PIC plus PIE building should be suppressed
- # because of assembler instructions that cannot be compiled PIC
- HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
# we explicitly prevent the custom CFLAGS for stability reasons
if use static; then
local target=alles
@@ -60,7 +56,7 @@ src_compile() {
local target=all
fi
- emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+ emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
}
src_install() {
diff --git a/sys-boot/lilo/lilo-24.1.ebuild b/sys-boot/lilo/lilo-24.1.ebuild
index 3d0cf52c05d..9431f265960 100644
--- a/sys-boot/lilo/lilo-24.1.ebuild
+++ b/sys-boot/lilo/lilo-24.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -49,10 +49,6 @@ src_compile() {
# lilo needs this. bug #140209
export LC_ALL=C
- # hardened automatic PIC plus PIE building should be suppressed
- # because of assembler instructions that cannot be compiled PIC
- HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
# we explicitly prevent the custom CFLAGS for stability reasons
if use static; then
local target=alles
@@ -60,7 +56,7 @@ src_compile() {
local target=all
fi
- emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+ emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
}
src_install() {
diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2.ebuild
index d075d6bf751..854b8dba436 100644
--- a/sys-boot/lilo/lilo-24.2.ebuild
+++ b/sys-boot/lilo/lilo-24.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -49,10 +49,6 @@ src_compile() {
# lilo needs this. bug #140209
export LC_ALL=C
- # hardened automatic PIC plus PIE building should be suppressed
- # because of assembler instructions that cannot be compiled PIC
- HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
# we explicitly prevent the custom CFLAGS for stability reasons
if use static; then
local target=alles
@@ -60,7 +56,7 @@ src_compile() {
local target=all
fi
- emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+ emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
}
src_install() {
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2018-06-01 14:05 Aaron Bauman
0 siblings, 0 replies; 13+ messages in thread
From: Aaron Bauman @ 2018-06-01 14:05 UTC (permalink / raw
To: gentoo-commits
commit: f40b5170ed72a3b46874b1fb1c28c865013ecb29
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Thu May 31 21:42:37 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Fri Jun 1 14:05:16 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f40b5170
sys-boot/lilo: drop EAPI=2 ebuild
Package-Manager: Portage-2.3.40, Repoman-2.3.9
sys-boot/lilo/Manifest | 1 -
sys-boot/lilo/lilo-23.2-r2.ebuild | 176 --------------------------------------
2 files changed, 177 deletions(-)
diff --git a/sys-boot/lilo/Manifest b/sys-boot/lilo/Manifest
index ccf846f137f..f0ac2e56762 100644
--- a/sys-boot/lilo/Manifest
+++ b/sys-boot/lilo/Manifest
@@ -1,7 +1,6 @@
DIST dolilo-0.5.tar.bz2 3777 BLAKE2B 4f168e678c771ba964f141a0af04d6dcb13e0e98f37283c799b5d127547fd511826f941fdba12857b8629e8e6324f2117c618f2c15ed3e49e9aa220be77f79ac SHA512 6bfd0181d922f01903c8c0cdc67fc087c74091d7ffec0ddfb263c18b3a2247fcfbd201995f1724f26f4eb21b91147f209fd7ed485a05c6b9e9f583ea2456baa9
DIST dolilo-0.6.tar.bz2 3817 BLAKE2B 35c41f5eac8e02d4381db517a9b230d037da184f9ae409bc76307e689ad6b82928ea3794db54c3137afe6c770db86ba0cde78c33d89e775ddea464905070bfd6 SHA512 1b59ea5f2e2ac52d62635c9f7d5fb5b2aff6757e6ea6c0950480d8a11832b872115907abe6d8fb3fa5436e2e8971d9a1dda103dc6a15db6fc310c8f4730ab936
DIST lilo-22.8.src.tar.gz 437555 BLAKE2B 319890a7760d8528192c9ba553295f9ba12b204a1512e8b8f62da146bc41ad2b453a853661d184dd31fc8d65f33523db63b9e1d3cf3f2391a64b05efa06c3bcb SHA512 b8a22c73b5f6a0c7ddde7c7af6511f9e85d43bae98603bfa0656dfa0685018b3ed713cfd9932bfac33017b83f807c66a3e25d78a16ea9a15bbfddd0e806714cc
-DIST lilo-23.2.tar.gz 580758 BLAKE2B ad932a78edd671d19a9eb5899ca35902cc1f8450c66abbd7d95c065a7f3bb7dd639343681230e9a2f6d906397b7bc5f549359ab101390df3f84d111accfe1312 SHA512 fe6789d3643751128afcb2c9761623329e84ab05ec84d75d6b13eff991d10a6671617b65f4ab5ef414a6ca4bc530bcf33b96ddeee3f5dce78bb69b8db740f9c5
DIST lilo-24.0.tar.gz 768631 BLAKE2B 09f6520e16a90eab5f44af440f1e2c2d05abb56e954dbb0237700d8e99f017bab279fa8a5c535114ec58be7416123ea51e91311255ed3036199f3565eec5a3f7 SHA512 4158a0f7ab085da063938df2bc77356f9536aa78208a902561f9e61ec478fb17f204f68407f6809638aea9d2e0c88ffc701548291c1635ab40f5b18a7be6bae7
DIST lilo-24.1.tar.gz 773223 BLAKE2B ceaeaf6696b7b15d95cc6c90c6de63ad731f4d0f6d9e42fea4a245219d446cbecdb7d372ef4cb31dce26c7e149723779244f0319939343edf971ac1a19ba5063 SHA512 d1375cac9654fcb3934e7e5e0533e126ff8700a48154eb5019cf62e4b89f14d2ce7a17b6324795d9b60b37ab7656bfb2c9467f6e9d3540095f5c294579e83883
DIST lilo-24.2.tar.gz 777400 BLAKE2B 71c74235d5df10eed65b67dc1ce2af21163651c752d799da419077025304abf9352535a70f3fb60d086609d8a1c25bf394e29453c338ab022cb2be3cb21af75f SHA512 4437cae21345f483194a5dc95f686f3f3cb2beec78faae3fba959db25eae29fe2c56732e055c05f1d101682c5d442cdc9561fae8074f61f5537dde0413204c54
diff --git a/sys-boot/lilo/lilo-23.2-r2.ebuild b/sys-boot/lilo/lilo-23.2-r2.ebuild
deleted file mode 100644
index 2be5f25cd50..00000000000
--- a/sys-boot/lilo/lilo-23.2-r2.ebuild
+++ /dev/null
@@ -1,176 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="2"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DOLILO_V="0.5"
-IUSE="static minimal pxeserial device-mapper"
-
-DESCRIPTION="Standard Linux boot loader"
-HOMEPAGE="https://alioth.debian.org/projects/lilo/"
-
-DOLILO_TAR="dolilo-${DOLILO_V}.tar.bz2"
-SRC_URI="
- http://lilo.alioth.debian.org/ftp/sources/${P}.tar.gz
- mirror://gentoo/${DOLILO_TAR}
-"
-
-SLOT="0"
-LICENSE="BSD GPL-2"
-KEYWORDS="-* amd64 x86"
-
-DEPEND=">=sys-devel/bin86-0.15.5"
-RDEPEND="device-mapper? ( >=sys-fs/lvm2-2.02.45 )"
-
-src_prepare() {
- # this patch is needed when booting PXE and the device you're using
- # emulates vga console via serial console.
- # IE.. B.B.o.o.o.o.t.t.i.i.n.n.g.g....l.l.i.i.n.n.u.u.x.x and stair stepping.
- use pxeserial && epatch "${FILESDIR}/${PN}-22.8-novga.patch"
-
- # Do not strip and have parallel make
- # FIXME: images/Makefile does weird stuff
- sed -i Makefile src/Makefile \
- -e '/strip/d;s|^ make| $(MAKE)|g' \
- -e '/images install/d' \
- -e '/images all/d' \
- || die "sed strip failed"
-}
-
-src_configure() {
- if ! use device-mapper; then
- sed -i make.vars -e 's|-DDEVMAPPER||g' || die
- fi
-}
-
-src_compile() {
- # lilo needs this. bug #140209
- export LC_ALL=C
-
- # we explicitly prevent the custom CFLAGS for stability reasons
- if use static; then
- local target=alles
- else
- local target=all
- fi
-
- emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
-}
-
-src_install() {
- keepdir /boot
- emake DESTDIR="${D}" install || die
-
- if use !minimal; then
- into /
- dosbin "${WORKDIR}"/dolilo/dolilo || die
-
- into /usr
- dosbin keytab-lilo.pl || die
-
- insinto /etc
- newins "${FILESDIR}"/lilo.conf lilo.conf.example || die
-
- newconfd "${WORKDIR}"/dolilo/dolilo.conf.d dolilo.example || die
-
- dodoc CHANGELOG* readme/README.* readme/INCOMPAT README
- docinto samples ; dodoc sample/*
- fi
-}
-
-# Check whether LILO is installed
-# This function is from /usr/sbin/mkboot from debianutils, with copyright:
-#
-# Debian GNU/Linux
-# Copyright 1996-1997 Guy Maor <maor@debian.org>
-#
-# Modified for Gentoo for use with the lilo ebuild by:
-# Martin Schlemmer <azarah@gentoo.org> (16 Mar 2003)
-#
-lilocheck() {
- local bootpart=
- local rootpart="$(mount | grep -v "tmpfs" | grep -v "rootfs" | grep "on / " | cut -f1 -d " ")"
-
- echo
- einfon "Checking for LILO ..."
-
- if [ "$(whoami)" != "root" ]
- then
- echo; echo
- eerror "Only root can check for LILO!"
- return 1
- fi
-
- if [ -z "${rootpart}" ]
- then
- echo; echo
- eerror "Could not determine root partition!"
- return 1
- fi
-
- if [ ! -f /etc/lilo.conf -o ! -x /sbin/lilo ]
- then
- echo " No"
- return 1
- fi
-
- bootpart="$(sed -n "s:^boot[ ]*=[ ]*\(.*\)[ ]*:\1:p" /etc/lilo.conf)"
-
- if [ -z "${bootpart}" ]
- then
- # lilo defaults to current root when 'boot=' is not present
- bootpart="${rootpart}"
- fi
-
- if ! dd if=${bootpart} ibs=16 count=1 2>&- | grep -q 'LILO'
- then
- echo; echo
- ewarn "Yes, but I couldn't find a LILO signature on ${bootpart}"
- ewarn "Check your /etc/lilo.conf, or run /sbin/lilo by hand."
- return 1
- fi
-
- echo " Yes, on ${bootpart}"
-
- return 0
-}
-
-pkg_postinst() {
- if [ ! -e "${ROOT}/boot/boot.b" -a ! -L "${ROOT}/boot/boot.b" ]
- then
- [ -f "${ROOT}/boot/boot-menu.b" ] && \
- ln -snf boot-menu.b "${ROOT}/boot/boot.b"
- fi
-
- if [ "${ROOT}" = "/" ] && use !minimal;
- then
- if lilocheck
- then
- einfo "Running DOLILO to complete the install ..."
- # do not redirect to /dev/null because it may display some input
- # prompt
- /sbin/dolilo
- if [ "$?" -ne 0 ]
- then
- echo
- ewarn "Running /sbin/dolilo failed! Please check what the problem is"
- ewarn "before your next reboot."
-
- ebeep 5
- epause 5
- fi
- fi
- echo
- fi
- if use !minimal; then
- echo
- einfo "Issue 'dolilo' instead of 'lilo' to have a friendly wrapper that"
- einfo "handles mounting and unmounting /boot for you. It can do more then"
- einfo "that when asked, edit /etc/conf.d/dolilo to harness it's full potential."
- ebeep 5
- epause 3
- echo
- fi
-}
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-03-06 15:37 Thomas Deutschmann
0 siblings, 0 replies; 13+ messages in thread
From: Thomas Deutschmann @ 2021-03-06 15:37 UTC (permalink / raw
To: gentoo-commits
commit: 20ab4450b4177f575b0a1a4859f150bfb0181937
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 6 15:32:28 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Mar 6 15:36:10 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20ab4450
sys-boot/lilo: x86 stable (bug #764146)
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
sys-boot/lilo/lilo-24.2.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2.ebuild
index 66ac79f0314..b176a9fc1ce 100644
--- a/sys-boot/lilo/lilo-24.2.ebuild
+++ b/sys-boot/lilo/lilo-24.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -19,7 +19,7 @@ SRC_URI="
SLOT="0"
LICENSE="BSD GPL-2"
-KEYWORDS="-* ~amd64 ~x86"
+KEYWORDS="-* ~amd64 x86"
DEPEND=">=sys-devel/bin86-0.15.5"
RDEPEND="device-mapper? ( >=sys-fs/lvm2-2.02.45 )"
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-03-07 13:14 Mikle Kolyada
0 siblings, 0 replies; 13+ messages in thread
From: Mikle Kolyada @ 2021-03-07 13:14 UTC (permalink / raw
To: gentoo-commits
commit: a01dbba4f763c3233d29c1363ed600f93f3a3f60
Author: Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 7 13:13:59 2021 +0000
Commit: Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun Mar 7 13:13:59 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a01dbba4
sys-boot/lilo: Stabilize 24.2 amd64, #764146
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
sys-boot/lilo/lilo-24.2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2.ebuild
index b176a9fc1ce..475926764a5 100644
--- a/sys-boot/lilo/lilo-24.2.ebuild
+++ b/sys-boot/lilo/lilo-24.2.ebuild
@@ -19,7 +19,7 @@ SRC_URI="
SLOT="0"
LICENSE="BSD GPL-2"
-KEYWORDS="-* ~amd64 x86"
+KEYWORDS="-* amd64 x86"
DEPEND=">=sys-devel/bin86-0.15.5"
RDEPEND="device-mapper? ( >=sys-fs/lvm2-2.02.45 )"
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-04-21 19:02 Sam James
0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2021-04-21 19:02 UTC (permalink / raw
To: gentoo-commits
commit: cb50e96fbe57b3cb4cdf67fd82a35d33dd335e2a
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 16 18:26:11 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr 21 19:01:20 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb50e96f
sys-boot/lilo: eutils->epatch
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-boot/lilo/lilo-24.0-r1.ebuild | 9 +++++----
1 file changed, 5 insertions(+), 4 deletions(-)
diff --git a/sys-boot/lilo/lilo-24.0-r1.ebuild b/sys-boot/lilo/lilo-24.0-r1.ebuild
index becc561f741..a724cf74ade 100644
--- a/sys-boot/lilo/lilo-24.0-r1.ebuild
+++ b/sys-boot/lilo/lilo-24.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
-inherit eutils flag-o-matic toolchain-funcs
+inherit epatch flag-o-matic toolchain-funcs
DOLILO_V="0.6"
IUSE="static minimal pxeserial device-mapper"
@@ -63,7 +63,7 @@ src_install() {
keepdir /boot
emake DESTDIR="${D}" install
- if use !minimal; then
+ if ! use minimal; then
into /
dosbin "${WORKDIR}"/dolilo/dolilo
@@ -76,7 +76,8 @@ src_install() {
newconfd "${WORKDIR}"/dolilo/dolilo.conf.d dolilo.example
dodoc CHANGELOG* readme/README.* readme/INCOMPAT README
- docinto samples ; dodoc sample/*
+ docinto samples
+ dodoc sample/*
fi
}
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-05-31 17:49 David Seifert
0 siblings, 0 replies; 13+ messages in thread
From: David Seifert @ 2021-05-31 17:49 UTC (permalink / raw
To: gentoo-commits
commit: 28a636615c14294b0b237cef3cc94d30fb9a522a
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon May 31 17:48:57 2021 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon May 31 17:48:57 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28a63661
sys-boot/lilo: drop inactive maintainer
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sys-boot/lilo/metadata.xml | 3 ---
1 file changed, 3 deletions(-)
diff --git a/sys-boot/lilo/metadata.xml b/sys-boot/lilo/metadata.xml
index 0deb765df79..443ccb2afb4 100644
--- a/sys-boot/lilo/metadata.xml
+++ b/sys-boot/lilo/metadata.xml
@@ -1,9 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="person">
- <email>chainsaw@gentoo.org</email>
-</maintainer>
<maintainer type="project">
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-06-01 17:35 Mike Gilbert
0 siblings, 0 replies; 13+ messages in thread
From: Mike Gilbert @ 2021-06-01 17:35 UTC (permalink / raw
To: gentoo-commits
commit: 44757ae7fdc29869af3d935ececd3ad51749423e
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 1 17:34:37 2021 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Jun 1 17:34:37 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44757ae7
sys-boot/lilo: maintainer needed
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
sys-boot/lilo/metadata.xml | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/sys-boot/lilo/metadata.xml b/sys-boot/lilo/metadata.xml
index 7fef3b7d9cb..c3b7d03ba48 100644
--- a/sys-boot/lilo/metadata.xml
+++ b/sys-boot/lilo/metadata.xml
@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>base-system@gentoo.org</email>
- <name>Gentoo Base System</name>
- </maintainer>
+ <!-- maintainer-needed -->
<use>
<flag name="device-mapper">Enable support for device-mapper from <pkg>sys-fs/lvm2</pkg></flag>
<flag name="minimal">Do not install the dolilo helper script</flag>
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-06-01 17:35 Mike Gilbert
0 siblings, 0 replies; 13+ messages in thread
From: Mike Gilbert @ 2021-06-01 17:35 UTC (permalink / raw
To: gentoo-commits
commit: 5bec891726da8d4bc239c0c36b104d3385ee226a
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 1 17:33:49 2021 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Jun 1 17:33:49 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bec8917
sys-boot/lilo: adjust indentation in metadata.xml
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
sys-boot/lilo/metadata.xml | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)
diff --git a/sys-boot/lilo/metadata.xml b/sys-boot/lilo/metadata.xml
index 443ccb2afb4..7fef3b7d9cb 100644
--- a/sys-boot/lilo/metadata.xml
+++ b/sys-boot/lilo/metadata.xml
@@ -1,13 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>base-system@gentoo.org</email>
- <name>Gentoo Base System</name>
-</maintainer>
-<use>
- <flag name="device-mapper">Enable support for device-mapper from <pkg>sys-fs/lvm2</pkg></flag>
- <flag name="minimal">Do not install the dolilo helper script</flag>
- <flag name="pxeserial">Avoid character echo on PXE serial console</flag>
-</use>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <use>
+ <flag name="device-mapper">Enable support for device-mapper from <pkg>sys-fs/lvm2</pkg></flag>
+ <flag name="minimal">Do not install the dolilo helper script</flag>
+ <flag name="pxeserial">Avoid character echo on PXE serial console</flag>
+ </use>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2021-06-06 18:39 Joshua Kinard
0 siblings, 0 replies; 13+ messages in thread
From: Joshua Kinard @ 2021-06-06 18:39 UTC (permalink / raw
To: gentoo-commits
commit: 1556c7bc14405db2e352c7b827204c0ea927dd83
Author: Joshua Kinard <kumba <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 6 18:37:26 2021 +0000
Commit: Joshua Kinard <kumba <AT> gentoo <DOT> org>
CommitDate: Sun Jun 6 18:37:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1556c7bc
sys-boot/lilo: Take over maintainership, update vars
Take over maintainership and update the SRC_URI and HOMEPAGE variables
to point to an active repository for lilo sources.
Bug: https://bugs.gentoo.org/698802
Signed-off-by: Joshua Kinard <kumba <AT> gentoo.org>
Package-Manager: Portage-3.0.19, Repoman-3.0.3
sys-boot/lilo/lilo-24.2.ebuild | 6 +++---
sys-boot/lilo/metadata.xml | 5 ++++-
2 files changed, 7 insertions(+), 4 deletions(-)
diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2.ebuild
index 475926764a5..5b39c9c32f5 100644
--- a/sys-boot/lilo/lilo-24.2.ebuild
+++ b/sys-boot/lilo/lilo-24.2.ebuild
@@ -8,12 +8,12 @@ inherit eutils flag-o-matic toolchain-funcs
DOLILO_V="0.6"
IUSE="static minimal pxeserial device-mapper"
-DESCRIPTION="Standard Linux boot loader"
-HOMEPAGE="https://alioth.debian.org/projects/lilo/"
+DESCRIPTION="LInux LOader, the original Linux bootloader"
+HOMEPAGE="https://www.joonet.de/lilo/"
DOLILO_TAR="dolilo-${DOLILO_V}.tar.bz2"
SRC_URI="
- http://lilo.alioth.debian.org/ftp/sources/${P}.tar.gz
+ https://www.joonet.de/lilo/ftp/sources/${P}.tar.gz
mirror://gentoo/${DOLILO_TAR}
"
diff --git a/sys-boot/lilo/metadata.xml b/sys-boot/lilo/metadata.xml
index c3b7d03ba48..136f5734eb1 100644
--- a/sys-boot/lilo/metadata.xml
+++ b/sys-boot/lilo/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>kumba@gentoo.org</email>
+ </maintainer>
+
<use>
<flag name="device-mapper">Enable support for device-mapper from <pkg>sys-fs/lvm2</pkg></flag>
<flag name="minimal">Do not install the dolilo helper script</flag>
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2022-04-22 17:43 Sam James
0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2022-04-22 17:43 UTC (permalink / raw
To: gentoo-commits
commit: 855c59c561e00df4f4d1f32638ea970259bd9976
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 22 17:41:03 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr 22 17:43:07 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=855c59c5
sys-boot/lilo: fix ROOT check in pkg_postinst
With EAPI 7+, ROOT and others will be blank (not /).
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-boot/lilo/{lilo-24.2.ebuild => lilo-24.2-r1.ebuild} | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2-r1.ebuild
similarity index 98%
rename from sys-boot/lilo/lilo-24.2.ebuild
rename to sys-boot/lilo/lilo-24.2-r1.ebuild
index 9ae96a087bd0..66040236a6d6 100644
--- a/sys-boot/lilo/lilo-24.2.ebuild
+++ b/sys-boot/lilo/lilo-24.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -162,7 +162,7 @@ pkg_postinst() {
ln -snf boot-menu.b "${ROOT}/boot/boot.b"
fi
- if [ "${ROOT}" = "/" ] && use !minimal;
+ if [[ -z "${ROOT}" ]] && use !minimal;
then
if lilocheck
then
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2024-02-02 6:28 Andrew Ammerlaan
0 siblings, 0 replies; 13+ messages in thread
From: Andrew Ammerlaan @ 2024-02-02 6:28 UTC (permalink / raw
To: gentoo-commits
commit: 867aa4eed03b8f56fc62c3686654abf943106309
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 31 08:51:16 2024 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Feb 2 06:16:13 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=867aa4ee
sys-boot/lilo: add installkernel as optfeature
package installs /etc/kernel/postinst.d/zz-runlilo which will be executed by
traditional installkernel (i.e. if the systemd-kernel-install flag is
disabled).
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
sys-boot/lilo/lilo-24.2-r1.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/sys-boot/lilo/lilo-24.2-r1.ebuild b/sys-boot/lilo/lilo-24.2-r1.ebuild
index 66040236a6d6..a1e7a24913fd 100644
--- a/sys-boot/lilo/lilo-24.2-r1.ebuild
+++ b/sys-boot/lilo/lilo-24.2-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-inherit flag-o-matic toolchain-funcs
+inherit flag-o-matic optfeature toolchain-funcs
DOLILO_V="0.6"
IUSE="static minimal pxeserial device-mapper"
@@ -184,4 +184,7 @@ pkg_postinst() {
einfo "edit /etc/conf.d/dolilo to harness its full potential."
echo
fi
+
+ optfeature "automatically updating lilo's configuration on each kernel installation" \
+ "sys-kernel/installkernel[-systemd]"
}
^ permalink raw reply related [flat|nested] 13+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/
@ 2024-10-06 11:30 Joshua Kinard
0 siblings, 0 replies; 13+ messages in thread
From: Joshua Kinard @ 2024-10-06 11:30 UTC (permalink / raw
To: gentoo-commits
commit: 98d2e2746a07b10000fee146975340b7c1156a24
Author: Joshua Kinard <kumba <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 6 11:22:39 2024 +0000
Commit: Joshua Kinard <kumba <AT> gentoo <DOT> org>
CommitDate: Sun Oct 6 11:30:01 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98d2e274
sys-boot/lilo: Fix kernel installation hook issues; EAPI7 -> 8
Reported-By: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
Closes: https://bugs.gentoo.org/936820
Signed-off-by: Joshua Kinard <kumba <AT> gentoo.org>
sys-boot/lilo/lilo-24.2-r2.ebuild | 200 ++++++++++++++++++++++++++++++++++++++
1 file changed, 200 insertions(+)
diff --git a/sys-boot/lilo/lilo-24.2-r2.ebuild b/sys-boot/lilo/lilo-24.2-r2.ebuild
new file mode 100644
index 000000000000..f61d2fc53f41
--- /dev/null
+++ b/sys-boot/lilo/lilo-24.2-r2.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature toolchain-funcs
+
+DOLILO_V="0.6"
+
+DESCRIPTION="LInux LOader, the original Linux bootloader"
+HOMEPAGE="https://www.joonet.de/lilo/"
+
+DOLILO_TAR="dolilo-${DOLILO_V}.tar.bz2"
+SRC_URI="
+ https://www.joonet.de/lilo/ftp/sources/${P}.tar.gz
+ mirror://gentoo/${DOLILO_TAR}
+"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+IUSE="static minimal pxeserial device-mapper"
+
+DEPEND=">=sys-devel/bin86-0.15.5"
+RDEPEND="device-mapper? ( >=sys-fs/lvm2-2.02.45 )"
+
+# Bootloaders should not be using arbitrary CFLAGS without good reason. A bootloader
+# is typically only executed once to boot the system, and it should work the first time.
+QA_FLAGS_IGNORED="/sbin/lilo"
+
+src_prepare() {
+ default
+
+ # this patch is needed when booting PXE and the device you're using
+ # emulates vga console via serial console.
+ # IE.. B.B.o.o.o.o.t.t.i.i.n.n.g.g....l.l.i.i.n.n.u.u.x.x and stair stepping.
+ use pxeserial && eapply "${FILESDIR}/${PN}-24.1-novga.patch"
+
+ eapply "${FILESDIR}/${PN}-24.2-add-nvme-support.patch"
+ eapply "${FILESDIR}/${PN}-24.x-fix-gcc-10.patch"
+ eapply "${FILESDIR}/${PN}-24.x-check-for-__GLIBC__.patch"
+
+ # Do not strip and have parallel make
+ # FIXME: images/Makefile does weird stuff
+ sed -i Makefile src/Makefile \
+ -e '/strip/d;s|^ make| $(MAKE)|g' \
+ -e '/images install/d' \
+ -e '/images all/d' \
+ || die "sed strip failed"
+}
+
+src_configure() {
+ if ! use device-mapper; then
+ sed -i make.vars -e 's|-DDEVMAPPER||g' || die
+ fi
+}
+
+src_compile() {
+ # lilo needs this. bug #140209
+ export LC_ALL=C
+
+ # we explicitly prevent the custom CFLAGS for stability reasons
+ if use static; then
+ local target=alles
+ else
+ local target=all
+ fi
+
+ emake CC="$(tc-getCC) ${LDFLAGS}" ${target}
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ if use !minimal; then
+ into /
+ dosbin "${WORKDIR}"/dolilo/dolilo
+
+ into /usr
+ dosbin keytab-lilo.pl
+
+ insinto /etc
+ newins "${FILESDIR}"/lilo.conf lilo.conf.example
+
+ newconfd "${WORKDIR}"/dolilo/dolilo.conf.d dolilo.example
+
+ dodoc CHANGELOG* readme/README.* readme/INCOMPAT README
+ docinto samples ; dodoc sample/*
+ fi
+
+ # This we don't use
+ rm -r "${ED}/etc/initramfs" || die
+ # This should be in /usr/lib and it should have the .install suffix
+ dodir /usr/lib/kernel
+ for dir in postinst.d postrm.d; do
+ mv "${ED}/etc/kernel/${dir}" "${ED}/usr/lib/kernel/${dir}" || die
+ mv "${ED}/usr/lib/kernel/${dir}/zz-runlilo" "${ED}/usr/lib/kernel/${dir}/90-runlilo.install" || die
+ done
+ # Insert wrapper for systemd's kernel-install
+ exeinto /usr/lib/kernel/install.d
+ newexe - 90-runlilo.install <<-EOF
+ #!/bin/sh
+ if [ "\${1}" = "add" ]; then
+ exec "\$(dirname \${0})/../postinst.d/90-runlilo.install"
+ elif [ "\${1}" = "remove" ]; then
+ exec "\$(dirname \${0})/../postrm.d/90-runlilo.install"
+ fi
+ EOF
+}
+
+# Check whether LILO is installed
+# This function is from /usr/sbin/mkboot from debianutils, with copyright:
+#
+# Debian GNU/Linux
+# Copyright 1996-1997 Guy Maor <maor@debian.org>
+#
+# Modified for Gentoo for use with the lilo ebuild by:
+# Martin Schlemmer <azarah@gentoo.org> (16 Mar 2003)
+#
+lilocheck() {
+ local bootpart=
+ local rootpart="$(mount | grep -v "tmpfs" | grep -v "rootfs" | grep "on / " | cut -f1 -d " ")"
+
+ echo
+ ebegin "Checking whether LILO can be safely updated"
+
+ if [ "$(whoami)" != "root" ]; then
+ eend 1
+ eerror "Only root can check for LILO"
+ return 1
+ fi
+
+ if [ -z "${rootpart}" ]; then
+ eend 1
+ eerror "Could not determine root partition"
+ return 1
+ fi
+
+ if [ ! -f /etc/lilo.conf -o ! -x /sbin/lilo ]; then
+ eend 1
+ eerror "No LILO configuration in place"
+ return 1
+ fi
+
+ bootpart="$(sed -n "s:^boot[ ]*=[ ]*\(.*\)[ ]*:\1:p" /etc/lilo.conf)"
+
+ if [ -z "${bootpart}" ]; then
+ # lilo defaults to current root when 'boot=' is not present
+ bootpart="${rootpart}"
+ fi
+
+ if ! dd if=${bootpart} ibs=16 count=1 2>&- | grep -q 'LILO'; then
+ eend 1
+ eerror "No LILO signature on ${bootpart}"
+ ewarn "Check your /etc/lilo.conf, or run /sbin/lilo by hand."
+ return 1
+ fi
+
+ if grep -q "^[[:space:]]*password[[:space:]]*=[[:space:]]*\"\"" /etc/lilo.conf; then
+ eend 1
+ eerror "Interactive password entry configured"
+ ewarn "Run /sbin/lilo -p by hand."
+ return 1
+ fi
+
+ einfo "LILO on ${bootpart} is safe to update"
+ eend 0
+ return 0
+}
+
+pkg_postinst() {
+ if [ ! -e "${ROOT}/boot/boot.b" -a ! -L "${ROOT}/boot/boot.b" ]; then
+ [ -f "${ROOT}/boot/boot-menu.b" ] && \
+ ln -snf boot-menu.b "${ROOT}/boot/boot.b"
+ fi
+
+ if [[ -z "${ROOT}" ]] && use !minimal; then
+ if lilocheck; then
+ einfo "Running DOLILO to complete the install"
+ # do not redirect to /dev/null because it may display some input
+ # prompt
+ /sbin/dolilo
+ if [ "$?" -ne 0 ]; then
+ eerror "You must manually configure and run LILO"
+ fi
+ fi
+ echo
+ fi
+ if use !minimal; then
+ echo
+ einfo "Issue 'dolilo' instead of 'lilo' to have a friendly wrapper that"
+ einfo "handles mounting and unmounting /boot for you. It can do more, "
+ einfo "edit /etc/conf.d/dolilo to harness its full potential."
+ echo
+ fi
+
+ optfeature "automatically updating lilo's configuration on each kernel installation" \
+ sys-kernel/installkernel
+}
^ permalink raw reply related [flat|nested] 13+ messages in thread
end of thread, other threads:[~2024-10-06 11:30 UTC | newest]
Thread overview: 13+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-04-22 17:43 [gentoo-commits] repo/gentoo:master commit in: sys-boot/lilo/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 11:30 Joshua Kinard
2024-02-02 6:28 Andrew Ammerlaan
2021-06-06 18:39 Joshua Kinard
2021-06-01 17:35 Mike Gilbert
2021-06-01 17:35 Mike Gilbert
2021-05-31 17:49 David Seifert
2021-04-21 19:02 Sam James
2021-03-07 13:14 Mikle Kolyada
2021-03-06 15:37 Thomas Deutschmann
2018-06-01 14:05 Aaron Bauman
2017-12-07 19:29 Anthony G. Basile
2015-11-23 14:50 Lars Wendler
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox